// import 'dart:convert';
// https://ashamp.github.io/jsonToDartModel/
class NetImgItem {
  String? banner;
  String? original;
  String? previewThumb;
  String? source;

  NetImgItem({
    required this.banner,
    required this.original,
    required this.previewThumb,
    required this.source,
  });
  NetImgItem.fromJson(Map<String, dynamic> json) {
    banner = json['banner'].toString();
    original = json['original'].toString();
    previewThumb = json['previewThumb'].toString();
    source = json['source'].toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['banner'] = banner;
    data['original'] = original;
    data['previewThumb'] = previewThumb;
    data['source'] = source;
    return data;
  }
}

class NetImgCategory {
  List<NetImgItem>? data;
  String? name;

  NetImgCategory({
    required this.data,
    required this.name,
  });
  NetImgCategory.fromJson(Map<String, dynamic> json) {
  if (json['data'] != null) {
  final v = json['data'];
  final arr0 = <NetImgItem>[];
  v.forEach((v) {
  arr0.add(NetImgItem.fromJson(v));
  });
    this.data = arr0;
    }
    name = json['name'].toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (this.data != null) {
      final v = this.data!;
      final arr0 = [];
  v.forEach((v) {
  arr0.add(v.toJson());
  });
      data['data'] = arr0;
    }
    data['name'] = name;
    return data;
  }
}
